<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
    xmlns:db="http://docbook.org/ns/docbook"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns="http://docbook.org/ns/docbook">
    
    <xsl:variable name="generateIdPrefix">__sdwordm4342cs__</xsl:variable>
    
    <xsl:output indent="no"/>

    <xsl:template match="@* | node()">
        <xsl:copy>
            <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="db:imagedata[substring-after(@fileref, '.') = 'fig']">
        <imagedata>
            <xsl:copy-of select="@*"/>
            <xsl:attribute name="fileref">
                <xsl:value-of select="@fileref"/>
                <xsl:text>.pdf</xsl:text>
            </xsl:attribute>
        </imagedata>
    </xsl:template>

    

</xsl:stylesheet>
