package inherit.joined.v2;

import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;

@Entity
@PrimaryKeyJoinColumn(name="id", referencedColumnName="id")
public class Rectangle extends Figure {

   double width;
   public double getWidth() {return width;}
   public void setWidth(double width) {this.width = width;}
   
   double height;
   public double getHeight() {return height;}
   public void setHeight(double height) {this.height = height;}
      
   public String toString() {
      return super.toString() + ", width=" + getWidth() +
            ", height=" + getHeight();
   }

   protected Rectangle() {super();}
   public Rectangle(final double xCoord, final double yCoord, final double width, final double height){
      super(xCoord, yCoord);
      setWidth(width);
      setHeight(height);
   }
}
