package inherit.joined.v2;

import java.text.ParseException;

import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;

@Entity
@PrimaryKeyJoinColumn(name="id", referencedColumnName="id")
public class Circle extends Figure {

   double radius;
   /**
    * @return The circle's radius
    */
   public double getRadius() {return radius;}
   public void setRadius(double radius) {this.radius = radius;}
   
   @Override
   public String toString() {
      return super.toString() + ", radius=" + getRadius();
   }
   
   public Circle(){super();}
   
   public Circle(final double xCoord, final double yCoord, final double radius) throws ParseException {
      super(xCoord, yCoord);
      setRadius(radius);
   }
}
